PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchSetUp

Sets up the internal data structures for the later use of a Tao solver

### Synopsis

    #include "petsctaolinesearch.h"
    PetscErrorCode TaoLineSearchSetUp(TaoLineSearch ls)

Collective on ls

### Input Parameters

| ls | - the TaoLineSearch context

### Notes

The user will not need to explicitly call TaoLineSearchSetUp(), as it will automatically be called in TaoLineSearchSolve(). However, if the user desires to call it explicitly, it should come after TaoLineSearchCreate() but before TaoLineSearchApply().

### See Also

TaoLineSearchCreate(), TaoLineSearchApply()

### Level

developer

### Location

src/tao/linesearch/interface/taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages